A milestone email for the composer's milestone mode
GET
/api/v1/workspaces/{workspace}/grow/milestones/{milestone}/email
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/grow/milestones/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/email"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/grow/milestones/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/email';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/grow/milestones/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/email \ --header 'Authorization: Bearer <token>'Permission: grow:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
milestone
required
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
object
count
required
integer format: int64
description
required
string
fileName
required
string
fileSize
required
integer format: int64
fileType
required
string
html
required
string
listName
required
string
milestoneId
required
string
mjml
required
string
on
required
boolean
preheader
required
string
programId
required
string
revision
required
integer format: int64
rewardName
required
string
rewardType
required
string
savedAt
string format: date-time
sender
required
string
senderDefault
required
boolean
subject
required
string
uploadedBy
required
string
versions
required
Array<object>
object
savedAt
required
string format: date-time
savedBy
required
string
subject
required
string
version
required
integer format: int64
Example generated
{ "count": 1, "description": "example", "fileName": "example", "fileSize": 1, "fileType": "example", "html": "example", "listName": "example", "milestoneId": "example", "mjml": "example", "on": true, "preheader": "example", "programId": "example", "revision": 1, "rewardName": "example", "rewardType": "example", "savedAt": "2026-04-15T12:00:00Z", "sender": "example", "senderDefault": true, "subject": "example", "uploadedBy": "example", "versions": [ { "savedAt": "2026-04-15T12:00:00Z", "savedBy": "example", "subject": "example", "version": 1 } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}